Package kiyut.sketsa.canvas

## Class CanvasTransferHandler

- java.lang.Object
- - javax.swing.TransferHandler
  - - kiyut.sketsa.canvas.CanvasTransferHandler

- All Implemented Interfaces:
    `Serializable`

      public class CanvasTransferHandler
      extends TransferHandler

  CanvasTransferHandler DnD support
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.TransferHandler

      `TransferHandler.DropLocation, TransferHandler.TransferSupport`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.TransferHandler

      `COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CanvasTransferHandler()` | Creates a new instance of CanvasTransferHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canImport​(JComponent comp, DataFlavor[] transferFlavors)` |
    `protected Transferable` | `createTransferable​(JComponent comp)` |
    `protected void` | `exportDone​(JComponent source, Transferable data, int action)` |
    `int` | `getSourceActions​(JComponent comp)` |
    `boolean` | `importData​(JComponent comp, Transferable t)` |

    - ### Methods inherited from class javax.swing.TransferHandler

      `canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CanvasTransferHandler

          public CanvasTransferHandler()

      Creates a new instance of CanvasTransferHandler

  - ### Method Detail

    - #### getSourceActions

          public int getSourceActions​(JComponent comp)

      Overrides:
        `getSourceActions` in class `TransferHandler`

    - #### createTransferable

          protected Transferable createTransferable​(JComponent comp)

      Overrides:
        `createTransferable` in class `TransferHandler`

    - #### importData

          public boolean importData​(JComponent comp,
                                    Transferable t)

      Overrides:
        `importData` in class `TransferHandler`

    - #### canImport

          public boolean canImport​(JComponent comp,
                                   DataFlavor[] transferFlavors)

      Overrides:
        `canImport` in class `TransferHandler`

    - #### exportDone

          protected void exportDone​(JComponent source,
                                    Transferable data,
                                    int action)

      Overrides:
        `exportDone` in class `TransferHandler`